#include "utils.h"

#include <math.h>
#include <stdbool.h>

double degree_to_radian(double degree)
{
	return degree * M_PI / 180.0;
}

bool is_oob(int i, int min, int max)
{
	if (i < min || i >= max)
		return true;
	return false;
}

void mult_matrix(float *matrix, vec4f vector, vec4f *ret)
{
	float vec[] = {vector.x, vector.y, vector.z, vector.w};
	float ret1[4];
	for(int i = 0; i <= 12; i+=4) {
		float line_sum = 0.0;
		for(int j = 0; j < 4; j++){
			matrix[i+j] *= vec[j];
			line_sum += matrix[i+j];
		}
		ret1[i/4] = line_sum;
	}
	ret->x = ret1[0]; ret->y = ret1[1]; ret->z=ret1[2]; ret->w = ret1[3];
}